Bug 21784 - Clean up js_includes.inc
Summary: Clean up js_includes.inc
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-07 18:54 UTC by Owen Leonard
Modified: 2019-04-26 14:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 21784: Clean up js_includes.inc (3.32 KB, patch)
2018-11-07 19:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21784: Clean up js_includes.inc (3.37 KB, patch)
2019-04-23 16:02 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 21784: Clean up js_includes.inc (3.42 KB, patch)
2019-04-23 21:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-11-07 18:54:26 UTC
Script type attributes should be removed from js_includes. CDATA markers can also be removed.
Comment 1 Owen Leonard 2018-11-07 19:04:10 UTC
Created attachment 82044 [details] [review]
Bug 21784: Clean up js_includes.inc

This patch cleans up js_includes.inc by removing script "type"
attributes which are now invalid HTML. The patch also removes "CDATA"
markers from script blocks. They have been unnecessary since we stopped
using an XHTML doctype.

To test, apply the patch and look at various pages in the staff client
to confirm that no JavaScript-driven interactions are broken.
Comment 2 Liz Rea 2019-04-23 16:02:10 UTC
Created attachment 88528 [details] [review]
Bug 21784: Clean up js_includes.inc

This patch cleans up js_includes.inc by removing script "type"
attributes which are now invalid HTML. The patch also removes "CDATA"
markers from script blocks. They have been unnecessary since we stopped
using an XHTML doctype.

To test, apply the patch and look at various pages in the staff client
to confirm that no JavaScript-driven interactions are broken.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Katrin Fischer 2019-04-23 21:25:59 UTC
Created attachment 88568 [details] [review]
Bug 21784: Clean up js_includes.inc

This patch cleans up js_includes.inc by removing script "type"
attributes which are now invalid HTML. The patch also removes "CDATA"
markers from script blocks. They have been unnecessary since we stopped
using an XHTML doctype.

To test, apply the patch and look at various pages in the staff client
to confirm that no JavaScript-driven interactions are broken.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Nick Clemens 2019-04-24 11:40:51 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-26 14:59:36 UTC
Enhancement will not be backported into 18.11.x series.